%define module	gmpy

Summary:	Python interface to GMP
Name:		python-%{module}
Version:	1.16
Release:	%mkrel 2
Source0:	http://gmpy.googlecode.com/files/%{module}-%{version}.zip
License: 	LGPLv2.1
Group: 		Development/Python
Url: 		http://code.google.com/p/gmpy/
# GMP versions before 4.2.4 have a bug that cause gmpy to segfault.
Requires:	libgmp >= 4.2.4
BuildRequires:	libgmp-devel >= 4.2.4
BuildRequires:  python-devel

%description
The General Multiprecision PYthon project (GMPY) focuses on
Python-usable modules providing multiprecision arithmetic
functionality to Python programmers. The project mission includes both
C and C++ Python-modules (for speed) and pure Python modules (for
flexibility and convenience); it potentially includes integral,
rational and floating-point arithmetic in any base. Only
cross-platform functionality is of interest, at least for now.


%prep
%setup -q -n %{module}-%{version}

%build
find -name .svn | xargs rm -rf
python setup.py build

%install
python setup.py install --root=%{buildroot} --record=FILE_LIST

%files -f FILE_LIST
%doc README lgpl-2.1.txt doc/ test/




%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.16-2.mga3
+ Revision: 378921
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 02 2012 kamil <kamil> 1.16-1.mga3
+ Revision: 324744
- new version 1.16

* Thu Jul 26 2012 kamil <kamil> 1.15-1.mga3
+ Revision: 274418
- new version 1.15
- update Source0

* Thu Jul 26 2012 kamil <kamil> 1.14-2.mga3
+ Revision: 274413
- adapt for Mageia
- imported package python-gmpy

